Skip to main content
GET
/
v1
/
customer-credits
/
accounts
List customer credits accounts
curl --request GET \
  --url https://api.creem.io/v1/customer-credits/accounts \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.creem.io/v1/customer-credits/accounts"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.creem.io/v1/customer-credits/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "cca_abc123",
      "store_id": "<string>",
      "customer_id": "cust_abc123",
      "name": "default",
      "unit_label": "credits",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "has_more": true
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

limit
number
default:10

Maximum number of accounts to return

Required range: 1 <= x <= 100
customer_id
string

Filter by owner ID (e.g. customer ID)

Example:

"cust_abc123"

starting_after
string

Cursor for forward pagination — account ID to start after

ending_before
string

Cursor for backward pagination — account ID to end before

Response

Paginated list of accounts

object
string
required

Object type

Example:

"list"

data
object[]
required

Array of accounts

has_more
boolean
required

Whether more items exist beyond this page